<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Register</title>
    <style>
        form {
            display: table;
        }

        form-group {
            display: table-row;
        }

        label {
            display: table-cell;
        }

        input {
            display: table-cell;
        }
    </style>
</head>
<body>
<div layout:fragment="content">
    <div class="row">
        <div class="col-md-4 ml-auto mr-auto">
            <div class="card">
                <div class="card-body">
                    <form action="#" th:action="@{/register}" th:object="${userCreateDTO}" method="post">
                        <div class="form-group">
                            <label>First Name</label>
                            <input type="text" class="form-control" th:field="*{first_name}">
                            <small class="error" th:errors="*{first_name}">First name-related error messages will be
                                here </small>
                        </div>
                        <div class="form-group">
                            <label>Last Name</label>
                            <input type="text" class="form-control" th:field="*{last_name}">
                            <small class="error" th:errors="*{last_name}">Last name-related error messages will be
                                here </small>
                        </div>
                        <div class="form-group">
                            <label>Username</label>
                            <input type="text" class="form-control" th:field="*{username}">
                            <small class="error" th:errors="*{username}">Username-related error messages will be
                                here </small>
                        </div>
                        <div class="form-group">
                            <label> Email </label>
                            <input type="text" class="form-control" th:field="*{email}">
                            <small class="error" th:errors="*{email}">Email-related errors messages will be here</small>
                        </div>
                        <div class="form-group">
                            <label> Password </label>
                            <input type="password" class="form-control" th:field="*{password}">
                            <small class="error" th:errors="*{password}">Password-related error messages will be
                                here</small>
                        </div>
                        <div class="form-group">
                            <label> Confirm Password </label>
                            <input type="password" class="form-control" th:field="*{passwordConfirmation}">
                            <small class="error" th:errors="*{passwordConfirmation}">Password confirmation-related error
                                messages will be here</small>
                        </div>
                        <div class="form-group">
                            <button class="btn btn-info" type="submit">Register</button>
                            <small class="text-muted ml-2">
                                <a href="" th:href="@{/login}">Already have an account? Login here!</a>
                            </small>
                        </div>
                    </form>

                </div>
            </div>
        </div>
    </div>

</div>
</body>
</html>